Skip to main content
GET
Summarize components

Authorizations

Authorization
string
header
required

Bearer token for authentication

Query Parameters

project_name
string

ProjectName is the name of the project to filter by

project_version_name
string

ProjectVersionName is the name of the project version to filter by

Response

A successful response.

Aggregate component counts

total
integer<int32>

Total number of distinct components in scope

vulnerable
integer<int32>

Components with at least one linked active finding

fixable
integer<int32>

Vulnerable components with at least one fixable finding

exploitable
integer<int32>

Vulnerable components whose linked finding is in the CISA KEV catalog

processing_status
object

ProcessingStatus tells when Chainloop last processed one kind of security data (SBOMs, vulnerability reports, AI code analysis) in a scope. Every timestamp is absent when no processing of that state exists.

Example: